> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Data Connection

> Deletes a Data Connection from a title.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| EventSinkNotFound | 15005 |
| ServiceUnavailable | 1123 |




## OpenAPI

````yaml /services/playfab/api-references/rest/events/events.openapi.json post /Event/DeleteDataConnection
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Events API
  description: >-
    Write custom PlayStream and Telemetry events for any PlayFab entity.
    Telemetry events can be used for analytic, reporting, or debugging.
    PlayStream events can do all of that and also trigger custom actions in near
    real-time.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: PlayStream
    description: PlayStream Management APIs
  - name: PlayStream Events
    description: PlayStream Events APIs
paths:
  /Event/DeleteDataConnection:
    post:
      tags:
        - PlayStream Events
      summary: Delete Data Connection
      description: |
        Deletes a Data Connection from a title.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | EventSinkNotFound | 15005 |
        | ServiceUnavailable | 1123 |
      operationId: DeleteDataConnection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteDataConnectionRequest'
      responses:
        '200':
          $ref: '#/components/responses/DeleteDataConnectionResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    DeleteDataConnectionRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Name:
          description: The name of the data connection to delete.
          type: string
      required:
        - Name
      example:
        Name: MyDataConnection
    DeleteDataConnectionResponse:
      type: object
      properties:
        WasDeleted:
          description: >-
            Indicates whether or not the connection was deleted as part of the
            request.
          type: boolean
      required:
        - WasDeleted
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    DeleteDataConnectionResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/DeleteDataConnectionResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Delete Data Connection](/services/playfab/api-references/rest/events/play-stream-events/delete-data-connection.md)
- [PlayFab Services SDK Release Notes 2025](/services/playfab/release-notes/2025.md)
- [Data Connections quickstart](/services/playfab/data-analytics/export-data/data-connection-quickstart.md)
- [Delete Open Id Connection](/api-reference/authentication/delete-open-id-connection.md)
- [Delete OpenId Connection](/services/playfab/api-references/rest/admin/authentication/delete-openid-connection.md)
